petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSGLLEAcceptRegister

adds a TSGLLE acceptance scheme

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGLLEAcceptRegister(const char sname[],TSGLLEAcceptFunction function)

Not Collective

### Input Parameters

| name_scheme | - name of user-defined acceptance scheme
| routine_create | - routine to create method context

### Notes

TSGLLEAcceptRegister() may be called multiple times to add several user-defined families.

### Sample usage

       TSGLLEAcceptRegister("my_scheme",MySchemeCreate);

Then, your scheme can be chosen with the procedural interface via

        TSGLLESetAcceptType(ts,"my_scheme")

or at runtime via the option

        -ts_gl_accept_type my_scheme

### See Also

TSGLLERegisterAll()

### Level

advanced

### Location

src/ts/impls/implicit/glle/glle.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages